> ## Documentation Index
> Fetch the complete documentation index at: https://scaleup-c34c4386.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /api/v1/customers/:id

> Retorna os detalhes de um cliente específico pelo ID

Recupera as informações completas de um cliente, incluindo metadados e dados da organização.

## Autenticação

Requer **Organization Access Token (OAT)** via header `Authorization: Bearer`. Escopos necessários: `web:read`, `web:write`, `customers:read` ou `customers:write`.

## Parâmetros de Caminho

**id** `string` *required*

ID único do cliente

## Resposta

**id** `string`

ID único interno do cliente no Chargefy.

**email** `string`

Email do cliente.

**name** `string`

Nome do cliente.

**external\_id** `string`

ID externo associado ao cliente (se informado).

**user\_metadata** `object`

Metadados personalizados associados ao cliente.

**organization\_id** `string`

ID da organização à qual o cliente pertence.

**organization** `object`

Objeto com dados da organização (id, name, slug, avatar\_url).

**created\_at** `string`

Data e hora de criação no formato ISO 8601.

**updated\_at** `string`

Data e hora da última atualização no formato ISO 8601.

## Exemplo

```bash cURL theme={null}
curl -X GET https://api.chargefy.io/api/v1/customers/cus_def456 \
  -H "Authorization: Bearer $CHARGEFY_ACCESS_TOKEN"
```

```typescript SDK theme={null}
import { Chargefy } from '@chargefy/sdk';

const chargefy = new Chargefy({
  accessToken: process.env.CHARGEFY_ACCESS_TOKEN,
});

const customer = await chargefy.customers.get('cus_def456');
```

## Resposta de Exemplo

```json theme={null}
{
  "id": "cus_def456",
  "email": "joao@exemplo.com",
  "name": "João Santos",
  "user_metadata": {
    "source": "api",
    "plan": "pro"
  },
  "organization_id": "org_xyz",
  "organization": {
    "id": "org_xyz",
    "name": "Minha Empresa",
    "slug": "minha-empresa",
    "avatar_url": null
  },
  "created_at": "2026-03-12T10:00:00Z",
  "updated_at": "2026-03-12T10:00:00Z"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.